<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org/">
<head>
<meta charset="ISO-8859-1">
<title>Insert title here</title>
<!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">


</head>
<body>
<nav class="navbar navbar-expand-lg bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" th:href="@{/empleados}">Sistema de Empleados</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
      <div class="navbar-nav">
        <a class="nav-link active" aria-current="page" th:href="@{/empleados}">Empleados</a>
        <a class="nav-link" th:href="@{/empleado/nuevo}">Nuevo Empleado</a>

      </div>
    </div>
  </div>
</nav>


<div class="container">
	<div class="row">
	<h1>Lista de empleados</h1>
	
	</div>
	
	<table class="table">
	  <thead class="table-dark">
	    <th>Nombre</th>
	    <th>Apellido</th>
	    <th>Email</th>
	    <th>Telefono</th>
	    <th>Acciones</th>
	  </thead>
	  <tbody>
	    <tr th:each="empleados: ${key}">
		      <td th:text="${empleados.nombre}"></td>
		      <td th:text="${empleados.apellido}"></td>
		      <td th:text="${empleados.email}"></td>
		      <td th:text="${empleados.telefono}"></td>
		      <td>
		      <a th:href="@{/empleado/editar/{id}(id=${empleados.id}) }" class="btn btn-info">Editar</a>
		      
		      <form th:action="@{/empleado/eliminar/{id}(id=${empleados.id}) }" method="post">
		      	
		      	<button type="submit" class="btn btn-danger">Eliminar</button>
		      </form>
		      
		      
		      </td>
		      
		 </tr>
	  </tbody>
</table>

</div>





  
<!-- JavaScript Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
  
</body>
</html>